const { appNodeModules, appIndexJs } = require('./paths');

module.exports = {
  alias: {},
  define: {},
  devPublicPath: '/',
  filename: '[name].js',
  extensions: ['.js', '.jsx', '.json', '.html', '.ts', '.tsx'],
  modules: ['node_modules', appNodeModules],
  devServer: {
    disableHostCheck: true,
    compress: true,
    clientLogLevel: 'none',
    hot: true,
    publicPath: '/',
    quiet: true,
    watchOptions: {
      ignored: /node_modules/,
      aggregateTimeout: 600,
    },
    before(app) {
      app.use((req, res, next) => {
        res.set('Access-Control-Allow-Origin', '*');
        next();
      });
    },
  },
  entry: appIndexJs,
  externals: {},
  hash: true,
  injectBabel: 'polyfill',
  minify: true,
  outputAssetsPath: {
    js: 'js',
    css: 'css',
  },
  outputDir: 'build',
  proxy: {},
  publicPath: '/',
  targets: 'last 2 versions, Firefox ESR, > 1%, ie >= 9, iOS >= 8, Android >= 4',
  vendor: true,
};
