/* eslint-disable indent */
const Chain = require('webpack-chain');
const { appDirectory } = require('./paths');
const setLoaders = require('./setWebpackLoaders');
const setPlugins = require('./setWebpackPlugins');

module.exports = (mode = 'development', conf = {}) => {
  const chainConfig = new Chain();

  chainConfig
    .mode(mode)
    .context(appDirectory);

  setLoaders(chainConfig, mode, conf);
  setPlugins(chainConfig, mode, conf);

  return chainConfig;
};
