const { BundleAnalyzerPlugin } = require('webpack-bundle-analyzer');
const log = require('../../utils/log');

module.exports = async ({ context, chainWebpack }) => {
  const { commandArgs } = context;
  let httpsConfig;
  chainWebpack((config) => {
    if (commandArgs.disabledReload) {
      config.plugins.delete('HotModuleReplacementPlugin');
      ['scss', 'scss-module', 'css', 'css-module', 'less', 'less-module', 'styl', 'styl-module'].forEach((rule) => {
        if (config.module.rules.get(rule)) {
          config.module.rule(rule).uses.delete('css-hot-loader');
        }
      });
      config.devServer.hot(false);
    }

    if (commandArgs.analyzer) {
      config.plugin('webpack-bundle-analyzer')
        .use(BundleAnalyzerPlugin, [{ analyzerPort: commandArgs.analyzerPort || '9000' }]);
    }

    if (httpsConfig) {
      config.devServer.https(httpsConfig);
    } else {
      config.devServer.https(false);
    }
  });
};
