const path = require('path');
const chokidar = require('chokidar');

let server = null;
let watcher = null;

module.exports = ({ onHook, log, context }) => {
  const { command, rootDir } = context;
  if (command === 'dev') {
    if (!watcher) {
      const configPath = path.resolve(rootDir, 'zend.config.js');
      watcher = chokidar.watch(configPath, {
        ignoreInitial: true,
      });

      const onUserChange = () => {
        console.log('\n');
        log.info('zend.config.js文件已被修改');
        if (!server) {
          log.error('dev server is not ready');
        } else {
          server.close();
          server = null;
          log.info('，正在重启服务...');
          process.send({ type: 'RESTART_DEV' });
        }
      };

      watcher.on('change', () => {
        onUserChange();
      });

      watcher.on('error', (error) => {
        log.error('fail to watch file', error);
        process.exit(1);
      });
    }

    onHook('afterDevServer', (devServer) => {
      server = devServer;
    });
  }
};
